/*******************************************************
 *
 * $Id: FlatshadeScreen.h,v 1.5 2003/05/31 19:54:08 teacy Exp $
 *
 * This file has been placed in the public domain.
 *
 *******************************************************/


#ifndef FLATSHADE_SCREEN_H
#define FLATSHADE_SCREEN_H

#include <PalmOS.h>

#include "Sections.h"
#include "app/Screen.h"


/**
 * Screen that draws flat shaded polygons
 */
class FlatshadeScreen : public Screen
{
	/**
	 * Persistent internal state of the screen.
	 */
	struct FlatshadeScreenState
	{
		UInt32 periodCounter;
	};


	public:
	SCREEN_PUBLIC_OPS(FlatshadeScreen)

///@name Persistence
//@{
	/**
	 * Return a descriptor for a freshly initialized state. 
	 */
	static StateDescriptor *createStateDescriptor() SEC_GAME;
//@}

    bool enableMenu() const SEC_GAME;


	private:	

	//
	// Declare your private operations here
	//
	
	// No private operations in this sample project
	
	
	//
	// Declare your private data structures and attributes here
	//

	// The following declarations are part of the sample project, and need to be replaced by you
	FlatshadeScreenState *state;
	Boolean exitScreen;
	UInt32 frameCount;
	UInt32 beginTime;
	// End of declarations from sample project
};


#endif
