// $Id: CWInstalledSDKs.h,v 1.2 2003/05/29 15:32:33 teacy Exp $

// This file is only relevant for Metrowerks CodeWarrior builds.
// Users of PRC-Tools specify these settings in Makefile.incl.

// ****************** Specify the available 3rd party SDKs here   ***********************************

// Shall the Sony Clie SDK be used to provide support for the Clie?
// #define SUPPORT_CLIE

// Shall the Tungsten T pad be supported through the Five Way SDK?
// #define SUPPORT_FIVEWAY


// ****************** Do NOT change anything below this line!!!!  ************************************



// Include the Palm OS public header files.
// Make sure that the customized version of
// HostControl.h is being used.
#include <CoreTraps.h>
#include "./HostControl.h"
#include <PalmOS.h>
#include <PalmOsGlue.h>

#if kWinVersion >= 4
	// Use SDK 5.0 if it is available (this is derived from a #define in Windows.h)
	#undef USE_SDK50
	#define USE_SDK50
#elif kWinVersion < 3
	#error You must use at least SDK 4.0 Update 1 (SDK 5.0 is recommended)
#else
	// The default assumption is SDK 4.0 Update 1 which requires no special definitions
#endif

#ifndef USE_SDK50
// Five Way is only supported with SDK 5
#undef SUPPORT_FIVEWAY
#endif


#ifdef SUPPORT_CLIE
#include <SonyCLIE.h>
#endif

#ifdef SUPPORT_FIVEWAY
#include <PalmChars.h>
#endif
